<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: partitions
          insert: additional_columns -->
    <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
    <rich:dataTable value="#{partitions}" var="partition" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    id="partitionTable" onRowMouseOver="this.style.backgroundColor='#94C2E6'"
                    onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" render="ds">
        <g:column sortBy="#{partition.name}" filterBy="#{partition.name}" filterEvent="onkeyup">
            <ui:define name="header">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
            <h:outputText value="#{partition.name}"/>
            <h:outputText value=" (#{messages['net.ihe.gazelle.hpd.Default']})" rendered="#{partition.isDefault}"/>
        </g:column>
        <g:column sortBy="#{partition.baseDN}" filterBy="#{partition.baseDN}" filterEvent="onkeyup">
            <ui:define name="header">#{messages['net.ihe.gazelle.hpd.BaseDN']}</ui:define>
            <h:outputText value="#{partition.baseDN}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
            <h:outputText value="#{partition.description}"/>
        </g:column>
        <ui:insert name="additional_columns"/>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataTableId" value="#{messages['net.ihe.gazelle.hpd.PartitionTable']}"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
